[package]
name = "github_v3"
description = "Minimal async GitHub API v3 client"
version = "1.1.0"
authors = ["Kornel <kornel@geekhood.net>"]
keywords = ["github", "restful", "api", "async"]
categories = ["web-programming", "web-programming::http-client"]
edition.workspace = true
readme = "README.md"
repository = "https://gitlab.com/lib.rs/main/-/tree/HEAD/github_v3"
homepage = "https://lib.rs/github_v3"
license = "CC0-1.0"

[dependencies]
reqwest = { version = "0.12", features = ["json"] }
serde = { version = "1.0.135", features = ["derive"] }
serde_json = "1.0.78"
thiserror = "2.0.3"
futures = "0.3.19"
async-stream = "0.3.2"
tokio = { version = "1.36.0", features = ["time"] }
urlencoding = "2.1.0"

[dev-dependencies]
tokio = { version = "1.42.0", features = ["rt-multi-thread", "macros", "time"] }

[features]
default = ["gzip"]
gzip = ["reqwest/gzip"]

[badges]
maintenance = { status = "passively-maintained" }

[lints]
workspace = true
